/*******************************************************************************
 * common.cc
 * Copyright (c) 2003 Virtual Werder
 *
 * implements:
 *   some functions
 *
 * requires:
 *
 * Created on: 07.05.2003 by pagra
 * Maintainer: pagra
 * Group:
 * Co-authors:
 *
 ******************************************************************************/

#include <sys/time.h>

#include "common.hh"

bool isValidAngle(const float ang) { return (ang<=180 && ang>=-180); }
bool isValidBool(const bool b)     { return (b==true || b==false); }
bool isUndefined(const float f) {
  return ((f<(UNDEFINED_FLOAT + EPSILON)) && (f>(UNDEFINED_FLOAT - EPSILON)));
}
bool isUndefined(const int i)       { return (i == UNDEFINED_INT); }

