/******************************************************************************
 * Ball.cc
 * Copyright (c) 2003 Virtual Werder
 *
 *
 * implements:
 *   class Ball
 *
 * requires:
 *
 *
 * Created on: 21.01.2004 by aw
 * Maintainer: aw, mangels
 * Group:
 * Co-authors:
 *
 * $Id: Ball.cc,v 1.2 2004/05/13 16:33:46 aw Exp $
 *****************************************************************************/

#include "Ball.hh"
#include "debug.hh"
#include "common.hh"


Ball::Ball()
{
  avgX = 0;
  avgY = 0;
  avgCycles = 0;
}


Ball::~Ball()
{

}

void Ball::updateAvgValues() {
   avgX += getPosX();
   avgY += getPosY();
   avgCycles++;
}

/*
 * Set Methods
 *
 */
void Ball::setPosition(Vector2D pos)
{
	position = pos;
}

void Ball::setPosition(const float posX, const float posY)
{
	position.setX(posX);
  position.setY(posY);
}

void Ball::setVelocity(Vector2D vel)
{
	velocity = vel;
}

void Ball::setVelocity(const float velX, const float velY)
{
	velocity.setX(velX);
  velocity.setY(velY);
}
