/******************************************************************************
 * ParsedObjects.cc
 * Copyright (c) 2003 Virtual Werder
 *
 *
 * implements:
 *   class ParsedBall
 *   class ParsedPlayer
 *
 * requires:
 *
 *
 * Created on: 18.07.2003 by pagra
 * Maintainer: pagra
 * Group:
 * Co-authors: 
 *****************************************************************************/

#include "common.hh"
#include "ParsedObjects.hh"

ParsedBall::ParsedBall() {
  posX = UNDEFINED_FLOAT;
  posY = UNDEFINED_FLOAT;
  velX = UNDEFINED_FLOAT;
  velY = UNDEFINED_FLOAT;
}

ParsedBall::~ParsedBall() {}


ParsedPlayer::ParsedPlayer() {
  goalie = false;
  uNum = UNDEFINED_INT;
  posX = UNDEFINED_FLOAT;
  posY = UNDEFINED_FLOAT;
  velX = UNDEFINED_FLOAT;
  velY = UNDEFINED_FLOAT;
  bodyAngle = UNDEFINED_FLOAT;
  neckAngle = UNDEFINED_FLOAT;
}

ParsedPlayer::~ParsedPlayer() {}
