/******************************************************************************
 * WorldModelState.cc
 * Copyright (c) 2003 Virtual Werder
 *
 *
 * implements:
 *   class WorldModelState
 *
 * requires:
 *
 *
 * Created on: 21.01.2004 by aw
 * Maintainer: aw, mangels
 * Group:
 * Co-authors:
 *
 * $Id: WorldModelState.cc,v 1.1 2004/04/13 11:58:49 aw Exp $
 *****************************************************************************/

#include "WorldModelState.hh"
#include "debug.hh"
#include "common.hh"


WorldModelState::WorldModelState()
{
}

WorldModelState::~WorldModelState()
{

}

void WorldModelState::printState()
{
	vector<Player>::iterator i;

	printf ("\n______________________________________\n");
	printf ("Viewing 'WorldModelState' of cycle: %i\n", time);
	// MY TEAM
	for (i = myTeam.begin(); i != myTeam.end(); ++i) {
		printf ("Player: %i (myTeam)\n", i->getUNum());
    printf ("  posX: %f", i->getPosX());
    printf (" | posY: %f", i->getPosY());
    printf (" | velX: %f", i->getVelX());
    printf (" | velY: %f", i->getVelY());
		printf (" | body: %f", i->getBodyDir());
    printf (" | neck: %f\n", i->getNeckDir());
  }

  printf ("\n");
  // OTHER TEAM
  for (i = otherTeam.begin(); i != otherTeam.end(); ++i) {
		printf ("Player: %i (otherTeam)\n", i->getUNum());
    printf ("  posX: %f", i->getPosX());
    printf (" | posY: %f", i->getPosY());
    printf (" | velX: %f", i->getVelX());
    printf (" | velY: %f", i->getVelY());
		printf (" | body: %f", i->getBodyDir());
    printf (" | neck: %f\n", i->getNeckDir());
  }

  printf ("\n");
  // BALL
	printf ("Ball | posX: %f | posY: %f | velX: %f | velY: %f\n", ball.getPosX(), ball.getPosY(), ball.getVelX(), ball.getVelY());

}

